<template>
<div>
  <sticky className="sub-navbar">
    <div style="text-align:right;">
      <el-button type="success" :loading="onSubmit" @click="handleSave">保存</el-button>
      <el-button @click="handleCancel">取消</el-button>
    </div>
  </sticky>
  <div class="app-container app-edit">
    <el-form class="small-space" :model="form" :rules="rules" ref="form" label-position="right" label-width="120px" style="width: 700px;">

      <!-- 问题 -->
      <el-form-item label="问题" prop="problem">
        <el-input v-model="form.problem" placeholder="请输入问题"></el-input>
      </el-form-item>

      <!-- 答案 -->
      <el-form-item label="答案" prop="answer">
        <el-input type="textarea" :rows="10" v-model="form.answer" placeholder="请输入答案"></el-input>
      </el-form-item>

      <el-form-item >
        <input id="hiddenText" type="text" style="display:none" />
      </el-form-item>
    </el-form>
  </div>
</div>
</template>

<script>
import Sticky from '@/components/Sticky'
import { find, save } from '@/api//faq'

export default {
  components: { Sticky },
  data() {
    return {
      form: {
        id: undefined,
        problem: '',
        answer: '',
        platformId: ''
      },

      onSubmit: false,

      // 表单验证规则
      rules: {
        problem: [
         { required: true, message: '请输入问题', trigger: 'blur' },
          { max: 20, message: '姓名长度不能超过20个字符', trigger: 'blur' }
        ],
        answer: [
         { required: true, message: '请输入答案', trigger: 'blur' },
         { max: 60, message: '姓名长度不能超过60个字符', trigger: 'blur' }
        ]
//        email: [
//          { required: true, message: '请输入邮箱', trigger: 'blur' },
//          { type: 'email', message: '您输入的邮箱格式不正确', trigger: 'blur' }
//        ],
//        password: [
//          { required: true, message: '请输入密码', trigger: 'blur' },
//          { min: 6, message: '密码长度不能少于6个字符', trigger: 'blur' }
//        ]
      }
    }
  },
  created() {
    if (this.$route.query.id) {
      this.form.id = this.$route.query.id
      this.findById(this.form.id)
    }
  },
  methods: {
    /**
     * 查询常见问题
     */
    findById(id) {
      find(id).then(response => {
        this.form.problem = response.faq.problem
        this.form.answer = response.faq.answer
      })
    },

    /**
     * 保存常见问题
     */
    handleSave() {
      this.$refs.form.validate(valid => {
        if (!valid) {
          return false
        }

        this.onSubmit = true
        save(this.form).then(response => {
          this.$router.go(-1)
        }).finally(() => {
          this.onSubmit = false
        })
      })
    },

    /**
     * 取消
     */
    handleCancel() {
      this.$router.go(-1)
    }
  }
}
</script>
